-- -----------------------------------------------
-- USING SQL TO DEVELOP TIME ORIENTED APPLICATIONS
-- By : Richard T. Snodgrass
-- -----------------------------------------------
--
-- Prevent nonsequenced duplicates in INCUMBENTS
-- INCUMBENTS is temporal
-- By   : Bruce C. Huang
-- Date : Dec. 12, 1997
--
-- -----------------------------------------------
REM
REM Code Fragment 5.7
REM Oracle 7.3 Version
REM
REM Drop INCUMBENTS if already exists
Drop Table INCUMBENTS;


Create Table INCUMBENTS(
  SSN		VARCHAR2(11) NOT NULL,
  PCN		VARCHAR2(6),
  START_DATE    DATE,
  END_DATE      DATE,
  UNIQUE(SSN,PCN,START_DATE,END_DATE)
 )
;
